petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPSetPostSolve

Sets a function that is called after every KSPSolve() completes (whether it converges or not)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPostSolve(KSP ksp,PetscErrorCode (*postsolve)(KSP,Vec,Vec,void*),void *postctx)

Logically Collective on KSP

### Input Parameters

| ksp | - the solver object
| postsolve | - the function to call after the solve
| postctx | - any context needed by the function

### Keywords

KSP, create, context

### See Also

KSPSetUp(), KSPSolve(), KSPDestroy(), KSP, KSPSetPreSolve()

Level:developer
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages